Package org.apache.lucene.codecs

# Record Class TermStats

java.lang.Object
java.lang.Record
org.apache.lucene.codecs.TermStats

Record Components:
  `docFreq` - How many documents have at least one occurrence of this term.
  `totalTermFreq` - Total number of times this term occurs across all documents in the field.

public record TermStats(int docFreq, long totalTermFreq) extends Record
Holder for per-term statistics.

## Constructor Summary

Constructors
Constructor
Description
`TermStats(int docFreq, long totalTermFreq)`
Creates an instance of a `TermStats` record class.

## Method Summary

Modifier and Type
Method
Description
`int`
`docFreq()`
Returns the value of the `docFreq` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.
`long`
`totalTermFreq()`
Returns the value of the `totalTermFreq` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TermStats

public TermStats(int docFreq, long totalTermFreq)
Creates an instance of a `TermStats` record class.

Parameters:
  `docFreq` - the value for the `docFreq` record component
  `totalTermFreq` - the value for the `totalTermFreq` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### docFreq

public int docFreq()
Returns the value of the `docFreq` record component.

Returns:
  the value of the `docFreq` record component

### totalTermFreq

public long totalTermFreq()
Returns the value of the `totalTermFreq` record component.

Returns:
  the value of the `totalTermFreq` record component